#{extends 'border.html'/}
#{set 'moreStyles'}
<style>
    /* The container */
    .container {
        display: block;
        position: relative;
        padding-left: 35px;
        margin-bottom: 12px;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    /* Hide the browser's default checkbox */
    .container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

    /* Create a custom checkbox */
    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 23px;
        width: 23px;
        background-color: #3c81cf78;
    }

    /* On mouse-over, add a grey background color */
    .container:hover input ~ .checkmark {
        background-color: #ccc;
    }

    /* When the checkbox is checked, add a blue background */
    .container input:checked ~ .checkmark {
        background-color: #2196F3;
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    /* Show the checkmark when checked */
    .container input:checked ~ .checkmark:after {
        display: block;
    }

    /* Style the checkmark/indicator */
    .container .checkmark:after {
        left: 9px;
        top: 5px;
        width: 5px;
        height: 10px;
        border: solid white;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }
</style>
#{/set}
<div class="container-fluid">
    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-2 hidden-mobile">
        #{include '/pl/filter-rup.html'/}
        </div>

        <div class="row">
            <div class="col-md-10">
                <!-- Toolbar -->
                <div class="toolbar toolbar-custom">
                    <button class="btn btn-primary btn-md" id="btnTarikDataRup"><i
                            class="fa fa-calendar-check-o"></i> Tarik Semua Data RUP
                    </button>
                    *{<a href="@{manualFetch()}" class="btn btn-primary btn-md"><i}*
                            *{class="fa fa-plus"></i> Tarik Semua Data RUP</a>}*
                    <button class="btn btn-warning btn-md" id="btnTarik"><i
                            class="fa fa-calendar-check-o"></i> Tarik Data RUP Terpilih
                    </button>
                </div>
                <!-- End Toolbar -->
                #{alert /}
                <div class="panel panel-default">
                    <div class="panel-body hidden-mobile" style="overflow-x: auto">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblRup">
                            <thead>
                            <th>&{'nomor.label'}</th>
                            <th>&{'rup_id.label'}</th>
                            <th>&{'nama.label'}</th>
                            <th>&{'tanggal_auditupdate.label'}</th>
                            </thead>
                        </table>
                        <!-- End Data Table -->
                    </div>
                    <div class="panel-body only-mobile" style="overflow-x: auto">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblRupMobile">
                            <thead>
                            <th>&{'nomor.label'}</th>
                            <th>&{'rup_id.label'}</th>
                            <th>&{'nama.label'}</th>
                            <th>&{'tanggal_auditupdate.label'}</th>
                            </thead>
                        </table>
                        <!-- End Data Table -->
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal tarik rup by Id dan tanggal -->
    <div class="modal fade" id="tarikModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'cari_rup.label'}</h4>
                </div>
                <div class="modal-body">
                    *{tab}*
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active"><a href="#form-single" aria-controls="group-role" role="tab" data-toggle="tab">Satu RUP</a></li>
                        <li role="presentation"><a href="#form-multiple" aria-controls="role" role="tab" data-toggle="tab">Banyak RUP</a></li>
                    </ul>

                    <div class="tab-content">
                        <!-- Form single -->
                        <div role="tabpanel" class="tab-pane active required" id="form-single">
                            <form id="formRup">
                                <div class="form-group col-lg-12">
                                    <div class="form-group required col-lg-4">
                                        <label class="control-label">&{'tanggal.label'} &{'rup.label'}</label>
                                        <input class="form-control" id="auditupdate" name="auditupdate" required/>
                                    </div>
                                    <div class="form-group required col-lg-4">
                                        <label class="control-label">&{'id.label'} &{'rup.label'}</label>
                                        <input class="form-control" id="idrup" name="idrup" type="number" required/>
                                    </div>
                                    <div class="form-group col-lg-4">
                                        <label class="control-label" style="color:white"> Cari </label>
                                        <div>
                                            <button type="submit" id="btnCariRup" name="btnCariRup" class="btn btn-success btn-md">
                                                <i class="fa fa-search"></i> &{'cari.label'}</button>
                                        </div>
                                        <input class="form-control hidden" id="nodata" name="nodata" value="&{'data_tidak_ditemukan.label'}" required/>
                                    </div>
                                </div>
                            </form>
                            <div class="form-group col-lg-12"><hr></div>
                            <div id="rupResult">
                                <div><label class="control-label">&{'rup.label'}</label></div>
                                <div class="panel panel-default" style="padding:10px;">
                                    <table class="table table-striped" id="tblRupCari">
                                        <thead>
                                        <th>&{'rup_id.label'}</th>
                                        <th>&{'nama.label'}</th>
                                        <th>&{'tanggal.label'} &{'rup.label'}</th>
                                        <th>&{'aksi.label'}</th>
                                        </thead>
                                        <tbody id="tabelbody">
                                        <tr id="tabeltr"><td colspan="4">&{'datatable.list.default.header'}</td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div style="text-align: center">
                                <button type="button" id="btnsimpanrup" disabled class="btn btn-primary btn-md"><i
                                        class="fa fa-save"></i> &{'simpan.label'}
                                </button>
                            </div>
                        </div>
                        <!-- End Form single -->

                        <!-- Form multi -->
                        <div role="tabpanel" class="tab-pane" id="form-multiple">
                            <form id="formRupMultiple">
                                <div class="form-group col-lg-12">
                                    <div class="form-group required col-lg-10">
                                        <label class="control-label">&{'id.label'} &{'rup.label'}</label>
                                        <textarea id="idrupmultiple" name="idrupmultiple" rows="2" class="form-control" onkeypress="CheckNumeric(event);" required></textarea>
                                        <p style="color: gray;font-size: smaller;">Pisahkan Id RUP dengan koma (,). Contoh: 22262069,22262069</p>
                                    </div>
                                    <div class="form-group col-lg-2">
                                        <label class="control-label" style="color:white"> Cari dan Tarik</label>
                                        <div>
                                            <button type="submit" id="btnCariRupMulti" name="btnCariRupMulti" class="btn btn-success btn-md">
                                                <i class="fa fa-search"></i> Cari dan Tarik</button>
                                        </div>
                                        <input class="form-control hidden" id="nodata" name="nodata" value="&{'data_tidak_ditemukan.label'}" required/>
                                    </div>
                                </div>
                            </form>
                            <div class="form-group col-lg-12"><hr></div>
                            <div id="rupResultMultiple">
                                <div><label class="control-label">&{'rup.label'}</label></div>
                                <div class="panel panel-default" style="padding:10px;">
                                    <table class="table table-striped" id="tblRupCariMultiple">
                                        <thead>
                                        <th>&{'rup_id.label'}</th>
                                        <th>&{'nama.label'}</th>
                                        <th>&{'tanggal.label'} &{'rup.label'}</th>
                                        <th>&{'keterangan.label'}</th>
                                        *{<th>&{'aksi.label'}</th>}*
                                        </thead>
                                        <tbody id="tabelbodyMultiple">
                                        <tr id="tabeltrmultiple"><td colspan="5">&{'datatable.list.default.header'}</td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            *{<div style="text-align: center">}*
                            *{<button type="button" id="btnsimpanrupmultiple" disabled class="btn btn-primary btn-md"><i}*
                                    *{class="fa fa-save"></i> Tarik dan Simpan Ulang}*
                            *{</button>}*
                            *{</div>}*
                        </div>
                        <!-- End Form multi -->
                    </div>
                    *{end tab}*
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'tutup.label'}</button>
                </div>
            </div>
        </div>
    </div>

    <!-- MOdal tarik rup by tanggal -->
    <div class="modal fade" id="tarikModalTanggal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabelRup">Tarik Data RUP</h4>
                </div>
                <div class="modal-body" style="min-height: 105px">
                    <form id="formRupTanggal">
                        <div class="form-group col-lg-12" style="margin-top: 20px;">
                            <div class="form-group required col-lg-2">
                                <label class="control-label" style="height: 32px;margin-top: 5px;">&{'tanggal.label'} &{'rup.label'}</label>
                            </div>
                            <div class="form-group required col-lg-6">
                                <input class="form-control" id="tanggalauditupdate" name="tanggalauditupdate" required/>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="submit" id="btnTarikRup" name="btnTarikRup" class="btn btn-success btn-md">
                                    <i class="fa fa-download"></i> Tarik Data</button>
                            </div>
                        </div>
                    </form>
                    <div id="rupResultTtanggal" style="display: none">
                        <div class="form-group col-lg-12" style="height: 10px"><hr></div>
                        <div><label class="control-label">&{'rup.label'} yang gagal disimpan</label></div>
                        <div class="panel panel-default" style="padding:10px;">
                            <table class="table table-striped" id="tblRupCariTanggal">
                                <thead>
                                <th>&{'rup_id.label'}</th>
                                <th>&{'nama.label'}</th>
                                <th>&{'tanggal.label'} &{'rup.label'}</th>
                                <th>&{'aksi.label'}</th>
                                </thead>
                                <tbody id="tabelbodytgl">
                                <tr id="tabeltrtgl"><td colspan="4">&{'datatable.list.default.header'}</td></tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'batal.label'}</button>
                    <button style="display: none" type="button" id="btnsimpansisarup" disabled class="btn btn-primary btn-md"><i
                            class="fa fa-save"></i> &{'simpan.label'} Ulang Data RUP
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="openFilterMasterdataRup()">Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'rup.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    #{include '/pl/filter-rup.html'/}
                </div>
            </div>
        </div>
    </div>
</div>
#{validationPackage/}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    jQuery(document).ready(function ($) {
        //$("#rupResult").hide();
        $( "#success" ).click(function() {
            alert( "Handler for .click() called." );
        });
        $("#tblRup").dataTable({
            "searching": false,
            ajax: {
                url: "@{DataTableCtr.cariMasterRup()}",
                data: function (d) {
                    d["keyword"] = $(".hidden-mobile #keyword").val();
                    d["auditupdate"] = $(".hidden-mobile #auditupdate_date").val();
                },
                cache: true
            },
            order: [[0, "desc"]],
            columns:
            [
                {
                    "searchable": false, "className": "header-center",
                    render: function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable": false, orderable : true, "className": "header-center"},
                {"searchable": false, orderable : true},
                {"searchable": false, orderable : true, "className": "header-center"}
            ]
        });

        $("#tblRupMobile").dataTable({
            "searching": false,
            ajax: {
                url: "@{DataTableCtr.cariMasterRup()}",
                data: function (d) {
                    d["keyword"] = $("#mobile-sidebar #keyword").val();
                    d["auditupdate"] = $("#mobile-sidebar #auditupdate_date").val();
                },
                cache: true
            },
            order: [[0, "desc"]],
            columns:
                [
                    {
                        "searchable": false, "className": "header-center",
                        render: function (data, type, row, meta) {
                            return meta.row + meta.settings._iDisplayStart + 1 + ".";
                        }
                    },
                    {"searchable": false, orderable : true, "className": "header-center"},
                    {"searchable": false, orderable : true},
                    {"searchable": false, orderable : true, "className": "header-center"}
                ]
        });

        function dtb(auditupdate, idrup) {
            $("#btnsimpanrup").attr("disabled", true);
            //$("#btnsimpanrup").removeAttr("disabled");
            $.ajax({
                type: 'POST',
                url: "@{masterdata.RupCtr.getRupByDate()}",
                data: {"auditupdate": auditupdate, "idrup":idrup},
                success: function(data){
                    if (data.data.length > 0){
                        $("#tabeltr").remove();
                        var trup = '<tr id="tabeltr"><td class="order_row">'+data.data[0].id+'</td>'+
                                '<td class="order_row">'+data.data[0].nama+'</td>'+
                                '<td class="order_row">'+data.data[0].auditupdate+'</td>'+
                                '<td class="order_row"><label class="container" style="width: 30px !important; margin-top: -10px;"><input type="checkbox" name="pilihIdRup" id="pilihIdRup" value="'+
                                data.data[0].id+'" ><span class="checkmark"></span></label></td>'+
                                '</tr>';
                        $("#tabelbody").append(trup);
                        $("#btnsimpanrup").removeAttr("disabled");
                        //console.log("data "+data.data[0].id+" "+data.data[0].nama+" "+data.data[0].auditupdate);
                    } else {
                        $("#tabeltr").remove();
                        var notif = $("#nodata").val();
                        var trx = '<tr id="tabeltr"><td colspan="4">'+notif+'</td></tr>';
                        //alert(trx);
                        $("#tabelbody").append(trx);
                    }
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    alert("Status: " + textStatus + " Error: " + errorThrown);
                }
            });
        }

        function dtbMulti(idrup) {
            $("#btnsimpanrupmultiple").attr("disabled", true);
            //$("#btnsimpanrup").removeAttr("disabled");
            $.ajax({
                type: 'POST',
                url: "@{masterdata.RupCtr.getRupById()}",
                data: {"idrup":idrup},
                success: function(data){
                    if (data.data.length > 0){
                        $("#tabelbodyMultiple").empty();

                        for(var i=0; i<data.data.length;i++){
                            var isSuccess = "";
                            var cbox = "";
                            if(data.data[i].isSuccess == 0){
                                isSuccess = "Berhail Disimpan";
                                cbox = "";
                            } else if (data.data[i].isSuccess == 1){
                                isSuccess = "Gagal Disimpan";
                                cbox = '<label class="container" style="width: 30px !important; margin-top: -10px;">' +
                                '<input type="checkbox" name="pilihIdRupMulti[]" id="pilihIdRupMulti" value="'+
                                data.data[i].id+'" ><span class="checkmark"></span></label>';
                            } else {
                                isSuccess = 'Gagal Ditarik</br>/ Tidak Ada';
                                cbox = '<label class="container" style="width: 30px !important; margin-top: -10px;">' +
                                        '<input type="checkbox" name="pilihIdRupMulti[]" id="pilihIdRupMulti" value="'+
                                        data.data[i].id+'" ><span class="checkmark"></span></label>';
                            }
                            var trup = '<tr id="tabeltrmultiple"><td class="order_row">'+data.data[i].id+'</td>'+
                                    '<td class="order_row">'+data.data[i].nama+'</td>'+
                                    '<td class="order_row">'+data.data[i].auditupdate+'</td>'+
                                    '<td class="order_row">'+isSuccess+
                                    '</td>'+
                                    // '<td class="order_row">'+cbox+'</td>'+
                                    '</tr>';
                            $("#tabelbodyMultiple").append(trup);
                        }

                        $("#btnsimpanrupmultiple").removeAttr("disabled");
                        //console.log("data "+data.data[0].id+" "+data.data[0].nama+" "+data.data[0].auditupdate);
                    } else {
                        $("#tabeltrmultiple").remove();
                        var notif = $("#nodata").val();
                        var trx = '<tr id="tabeltrmultiple"><td colspan="5">'+notif+'</td></tr>';
                        //alert(trx);
                        $("#tabelbodyMultiple").append(trx);
                    }
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    alert("Status: " + textStatus + " Error: " + errorThrown);
                }
            });
        }

        function db(auditupdate) {
            $("#btnTarikRup").attr("disabled", true);
            //$("#btnsimpanrup").removeAttr("disabled");

            $.ajax({
                type: 'POST',
                url: "@{masterdata.RupCtr.pullRupByDate()}",
                data: {"auditupdate": auditupdate},
                success: function(data){
                    $("#btnTarikRup").attr("disabled", false);
                    if (data.tipe == 2){
                        alert( ""+data.notif );
                        $("#tabeltrtgl").remove();
                        var trup = '<tr id="tabeltrtgl"><td class="order_row">'+data.data[0].id+'</td>'+
                                '<td class="order_row">'+data.data[0].nama+'</td>'+
                                '<td class="order_row">'+data.data[0].auditupdate+'</td>'+
                                '<td class="order_row"><label class="container" style="width: 30px !important; margin-top: -10px;"><input type="checkbox" name="pilihIdRupTgl" id="pilihIdRupTgl" value="'+
                                data.data[0].id+'" ><span class="checkmark"></span></label></td>'+
                                '</tr>';
                        $("#tabelbodytgl").append(trup);
                        // $("#btnsimpansisarup").removeAttr("display");
                        $("#btnsimpansisarup").removeAttr("disabled");
                    //     //console.log("data "+data.data[0].id+" "+data.data[0].nama+" "+data.data[0].auditupdate);
                    } else {
                        alert( ""+data.notif );
                        $("#tabeltrtgl").remove();
                        var notif = $("#nodata").val();
                        var trx = '<tr id="tabeltrtgl"><td colspan="4">'+notif+'</td></tr>';
                        //alert(trx);
                        $("#tabelbodytgl").append(trx);
                    }
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    alert("Status: " + textStatus + " Error: " + errorThrown);
                    $("#btnTarikRup").attr("disabled", false);
                }
            });
        }

        $("#btnTarik").on("click", function () {
            openModal();
        });

        $("#btnTarikDataRup").on("click", function () {
            openModalRup();
        });

        $("#btnCariRup").on("click", function (e) {
            if($("#formRup").valid()){
                e.preventDefault();
                var auditupdate = $("#auditupdate").val();
                var idrup = $("#idrup").val();
                dtb(auditupdate, idrup);
            }
        });

        $("#btnCariRupMulti").on("click", function (e) {
            if($("#formRupMultiple").valid()){
                e.preventDefault();
                var idrup = $("#idrupmultiple").val();
                dtbMulti(idrup);
            }
        });

        $("#btnTarikRup").on("click", function (e) {
            if($("#formRupTanggal").valid()){
                e.preventDefault();
                var auditupdate = $("#tanggalauditupdate").val();
                db(auditupdate);
            }
        });

        $("#pilihIdRup").click(function() {
            alert(!this.checked);
            $("#btnsimpanrup").attr("disabled", !this.checked);
        });

        $("#pilihIdRupMulti").click(function() {
            alert(!this.checked);
            $("#btnsimpanrupmultiple").attr("disabled", !this.checked);
        });
        // $("input[type='checkbox']").change(function (e) {
        //     if ($(this).is(":checked")) { //If the checkbox is checked
        //         $(this).closest('tr').addClass("highlight_row");
        //         alert("dicek");
        //         //Add class on checkbox checked
        //     } else {
        //         $(this).closest('tr').removeClass("highlight_row");
        //         alert("dibuang");
        //         //Remove class on checkbox uncheck
        //     }
        // });

        $("#btnsimpanrupmultiple").click(function() {
            var checked = [];
            $("input[name='pilihIdRupMulti[]']:checked").each(function ()
            {
                checked.push($(this).val());
            });
            // console.log(checked.toString());

            if (checked.length>0){
                dtbMulti(checked.toString());
            } else {
                jQuery.toast({
                    heading: 'Oops',
                    text: 'Tidak ada data RUP yang dipilih',
                    position: 'bottom-center',
                    stack: false,
                    icon: 'error',
                    hideAfter: 6000
                });
            }

        });

        //$("#btnsimpanrup").removeAttr("disabled");
        $("#btnsimpanrup").click(function () {
            var idx = 0;
            var namarup = "";
            //Loop through all checked CheckBoxes in GridView.
            $("#tblRupCari input[type=checkbox]:checked").each(function () {
                var row = $(this).closest("tr")[0];
                idx = row.cells[0].innerHTML;
                namarup = row.cells[1].innerHTML;
                // message += row.cells[1].innerHTML;
                // message += "   " + row.cells[2].innerHTML;
                // message += "   " + row.cells[3].innerHTML;
                // message += "\n";
            });
            console.log(idx+" | "+namarup);
            // return false;
            $.ajax({
                type: 'POST',
                url: "@{masterdata.RupCtr.simpanDataRup()}",
                data: {"idrup":idx,"namarup":namarup},
                success: function(data){
                    if (data.success == 1){
                        jQuery.toast({
                            heading: 'Sukses',
                            text: 'Berhasil menyimpan RUP',
                            position: 'bottom-center',
                            stack: false,
                            icon: 'success',
                            hideAfter: 6000
                        });
                    } else if (data.success == 0) {
                        jQuery.toast({
                            heading: 'Oops',
                            text: 'Gagal menyimpan RUP',
                            position: 'bottom-center',
                            stack: false,
                            icon: 'error',
                            hideAfter: 6000
                        });
                    } else {
                        jQuery.toast({
                            heading: 'Oops',
                            text: 'Tidak ada data RUP yang dipilih',
                            position: 'bottom-center',
                            stack: false,
                            icon: 'error',
                            hideAfter: 6000
                        });
                    }
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    alert("Status: " + textStatus + " Error: " + errorThrown);
                }
            });
        });


        $("#auditupdate").datepicker({
            locale: 'id',
            format: 'yyyy-mm-dd',
            autoclose: true
        });

        $("#tanggalauditupdate").datepicker({
            locale: 'id',
            format: 'yyyy-mm-dd',
            autoclose: true
        });

        // $("body").on("click", ".nama_rup", function() {
        // 	var nama = $(this).html();
        // 	var id = $(this).attr("rup_id");
        // 	console.log(id);
        // 	$("#input_id").val(id);
        // 	$("#nama_input").val(nama);
        // 	$("#editModal").modal();
        // });

        $('.hidden-mobile #auditupdate_date').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });
        $('#mobile-sidebar #auditupdate_date').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });
    });

    $(".hidden-mobile #submitBtn").on("click", function(){
        $("#tblRup").DataTable().order(JSON.parse($('.hidden-mobile #order').val())).draw();
    });
    $("#mobile-sidebar #submitBtn").on("click", function(){
        $("#tblRupMobile").DataTable().order(JSON.parse($('#mobile-sidebar #order').val())).draw();
        closeSidebar();
    });

    $('.hidden-mobile #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('.hidden-mobile #submitBtn').click();
            return false;
        }
        return;
    });
    $('#mobile-sidebar #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('#mobile-sidebar #submitBtn').click();
            return false;
        }
        return;
    });

    function pilihRup() {
        var a = this.checked;
        var checkBoxes = $(this).parent('tr').find('input:checkbox');
        console.log(checkBoxes);
    }

    function closeModal() {
        jQuery('#tarikModal').modal('hide');
    }

    function openModal() {
        jQuery('#tarikModal').modal('show');
    }

    function openModalRup() {
        jQuery('#tarikModalTanggal').modal('show');
    }

    function CheckNumeric(e) {
        if (window.event) // IE
        {
            if ((e.keyCode < 48 || e.keyCode > 57) & e.keyCode != 8 && e.keyCode != 44) {
                event.returnValue = false;
                return false;
            }
        }
        else { // Fire Fox
            if ((e.which < 48 || e.which > 57) & e.which != 8 && e.which != 44) {
                e.preventDefault();
                return false;
            }
        }
    }
</script>
#{/set}
